#ifndef	_DISP_H
#define	_DISP_H

#include "image.h"

#define	MAX_BMP_LEN	640

extern image*bmp0,*bmp1;

int disp_init(image *b0);	/* Will fail if cannot open screen of (bmplen*2+20)x(bmphig) dimension */
int disp_close(void);	/* Won't fail at all ;) */
int disp_redraw(void);

int disp_key(void);

typedef	struct	_ptrevent	{
   int x,y;
   int bmpn;
} ptrevent;
ptrevent* disp_ptrevent(void);	/* If mouse event present returns pointer to it's info (static struct) */
int disp_registermove(int flag);

void disp_message(char*fmt,...);

void disp_onlysecond(int flag);

#endif	/* _DISP_H */
