#ifndef	_LIST_H
#define	_LIST_H

typedef	struct	__list	{
    struct __list *next;
    struct __list *hnext;	/* for hash construction */
    void *data;
} list;

/*
 * cmpfunc() compares left and right and returns value greater than
 * 0 if left must come before right, 0 if no change needed, <0 otherwise.
 */
typedef	int (*cmpfunc)(void*left,void*right);

/* You may fill a record then pass size into l_add and l_add
 * will allocate storage for it. l_add will use element as a pointer
 * when size=0.
 */
#define	L_ELPTR		0
list* l_add(list* list,void *element,int size);
list* l_sort(list* list,cmpfunc cmp);

#endif	/* _LIST_H */
